import React from "react";
declare let globalKeys: Record<string, string>;
type TranslationContextType<K extends string> = {
    t: {
        [Key in K]: (params?: Record<string, any> | string[]) => string;
    };
    setLocale: (locale: string) => void;
};
export declare const TranslationProvider: ({ providedLocales, providedKeys, children, basePath, }: {
    providedLocales: readonly string[];
    providedKeys: Record<string, string>;
    children: React.ReactNode;
    basePath?: string;
}) => React.JSX.Element;
export declare const useTranslationService: <K extends string>() => TranslationContextType<keyof typeof globalKeys>;
export {};
