/**
 * @author Pradeep <pradeep.betty@gmail.com>
 * @createdOn 01/01/2023
 */
declare class TranslationService<L extends string, K extends string> {
    private locales;
    private basePath;
    private translations;
    private currentLocale;
    constructor(locales: readonly L[], basePath?: string);
    setLocale(locale: L): Promise<void>;
    getTranslations(): {
        [Key in K]: (params?: Record<string, any> | string[]) => string;
    };
}
export { TranslationService };
